Subject: [MIB-DOCTORS] Notification Destinations in 802.1ag (dev 24 version of the MIB) and TagLists

From: "Wijnen, Bert \(Bert\)" <[email-masked]>
Date: Thu, 11 Jan 2007 17:54:06 +0100

David Perkins commented: 

> When the value is dot1agTagList, the value of the associated 
> transport address is actually a tag list, and that list 
> determines the sending of the notification "according to RFC 
> 3413". Well, I don't know how to interpret that instruction.
> Are the tag values used to select entries in table 
> snmpNotifyTable or in table snmpTargetAddrTable.
> 

Exactly.
I think if anything, they can only use a TagValue, and then possibly
that tagValue would be used by the NotifyTable, no? 
After all, the snmpTargetAddrTable contains a TagList, and if
an entry in the snmpNotifyTable has a TagValue that is included
in that TagList in the snmpTargetAddrTable, then that is used
to send the notification (if it passes filtering) to the
destination.

So I don't see that this TagList in the 802.1ag MIB modeul is 
following the intended mechanism of RFC3413. I think that in order
to follow our STD62 mechanisms of specifying notification-destinations
in a standard way, they would need to remove any destination from their
own MIB module and use the tables in RFC3413 to define the destinations
and use filtering to select proper destinations based on the OID
if the included object (from a specific MEP).

Comments?
Bert

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors